coreEngine.Calibration

## Class SearchSpace

- java.lang.Object
- - coreEngine.Calibration.SearchSpace

-     public class SearchSpace
      extends java.lang.Object

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AF_MIN`
    `static int` | `AF_RANGE`
    `static int` | `AF_STEP`
    `float[][]` | `cafSS`
    `float[][][][]` | `facilitySS`
    `static int` | `TYPE_CAF`
    `static int` | `TYPE_DAF`
    `static int` | `TYPE_OAF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchSpace(float[][] cafSS)`
    `SearchSpace(float[][][][] dafSS)` 0 - seg, 1 - per, 2 - OAF/DAF, 3 - Min/Range/Step
    `SearchSpace(Seed seed, java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getAF_MAX(int type, int seg, int per)`
    `float` | `getAF_MIN(int type, int seg, int per)`
    `float` | `getAF_RANGE(int type, int seg, int per)`
    `float` | `getAF_STEP(int type, int seg, int per)`
    `void` | `setCAFSearchSpace(float min, int range, float step)`
    `void` | `setDAFSearchSpace(float min, int range, float step)`
    `void` | `setOAFSearchSpace(float min, int range, float step)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cafSS

          public final float[][] cafSS

    - #### facilitySS

          public final float[][][][] facilitySS

    - #### TYPE_OAF

          public static final int TYPE_OAF

      See Also:
        Constant Field Values

    - #### TYPE_DAF

          public static final int TYPE_DAF

      See Also:
        Constant Field Values

    - #### TYPE_CAF

          public static final int TYPE_CAF

      See Also:
        Constant Field Values

    - #### AF_MIN

          public static final int AF_MIN

      See Also:
        Constant Field Values

    - #### AF_RANGE

          public static final int AF_RANGE

      See Also:
        Constant Field Values

    - #### AF_STEP

          public static final int AF_STEP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SearchSpace

          public SearchSpace(float[][] cafSS)

    - #### SearchSpace

          public SearchSpace(float[][][][] dafSS)

      0 - seg, 1 - per, 2 - OAF/DAF, 3 - Min/Range/Step
      Parameters:
        `dafSS` -

    - #### SearchSpace

          public SearchSpace(Seed seed,
                             java.lang.String type)

  - ### Method Detail

    - #### setCAFSearchSpace

          public void setCAFSearchSpace(float min,
                                        int range,
                                        float step)

    - #### setOAFSearchSpace

          public void setOAFSearchSpace(float min,
                                        int range,
                                        float step)

    - #### setDAFSearchSpace

          public void setDAFSearchSpace(float min,
                                        int range,
                                        float step)

    - #### getAF_MIN

          public float getAF_MIN(int type,
                                 int seg,
                                 int per)

    - #### getAF_MAX

          public float getAF_MAX(int type,
                                 int seg,
                                 int per)

    - #### getAF_RANGE

          public float getAF_RANGE(int type,
                                   int seg,
                                   int per)

    - #### getAF_STEP

          public float getAF_STEP(int type,
                                  int seg,
                                  int per)